Commit 860832ee authored by Jonas Genannt's avatar Jonas Genannt Committed by Jonas Genannt

Imported Debian patch 0.9.10-2

parent 1816fc82
.TH CARBON-AGGREGATOR 1
.SH NAME
carbon-aggregator \- buffer metrics over time before reporting to carbon-cache
.SH SYNOPSYS
.nf
.fam C
\fbcarbon-aggregator\fP [options] start
.fam T
.fi
.SH DESCRIPTION
carbon-aggregator can be run in front of carbon-cache to buffer metrics over
time before reporting them into whisper.
.PP
The options are described below.
.SH OPTIONS
.TP
.B
\-h, \-\-help
Show the embedded help.
.TP
.B
\-\-debug
Run in the foreground, log to stdout
.TP
.B
\-\-profile=PROFILE
Record performance profile data to the given file
.TP
.B
\-\-pidfile=PIDFILE
Write pid to the given file
.TP
.B
\-\-config=CONFIG
Use the given config file
.TP
.B
\-\-logdir=LOGDIR
Write logs in the given directory
.TP
.B
\-\-instance=INSTANCE
Manage a specific carbon instance
.TP
.B
\-\-rules=RULES
Use the given aggregation rules file.
.TP
.B
\-\-rewrite-rules=REWRITE_RULES
Use the given rewrite rules file.
.SH AUTHOR
\fBcarbon-aggregator\fP, created by Chris Davis.
.PP
This manual page was written by Jonas Genannt <jonas.genannt@capi2name.de, for
the Debian project (but may be used by others).
.TH CARBON-CACHE 1
.SH NAME
carbon-cache \- accepts metrics over various protocols and writes them to disk
.SH SYNOPSYS
.nf
.fam C
\fbcarbon-cache\fP [options] start
.fam T
.fi
.SH DESCRIPTION
carbon-cache accepts metrics over various protocols and writes them to disk as
efficiently as possible. This requires caching metric values in RAM as they are
received, and flushing them to disk on an interval using the underlying
whisper library.
.PP
The options are described below.
.SH OPTIONS
.TP
.B
\-h, \-\-help
Show the embedded help.
.TP
.B
\-\-debug
Run in the foreground, log to stdout
.TP
.B
\-\-profile=PROFILE
Record performance profile data to the given file
.TP
.B
\-\-pidfile=PIDFILE
Write pid to the given file
.TP
.B
\-\-config=CONFIG
Use the given config file
.TP
.B
\-\-logdir=LOGDIR
Write logs in the given directory
.TP
.B
\-\-instance=INSTANCE
Manage a specific carbon instance
.SH AUTHOR
\fBcarbon-cache\fP, created by Chris Davis.
.PP
This manual page was written by Jonas Genannt <jonas.genannt@capi2name.de, for
the Debian project (but may be used by others).
#! /bin/sh
### BEGIN INIT INFO
# Provides: carbon-cache
# Required-Start: $remote_fs $syslog $network
# Required-Stop: $remote_fs $syslog $network
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: Graphite Carbon backend daemon
# Description: backend data caching and persistence daemon for Graphite
### END INIT INFO
# Author: Jonas Genannt <jonas.genannt@capi2name.de>
PATH=/sbin:/usr/sbin:/bin:/usr/bin
DESC="Graphite backend daemon"
NAME=carbon-cache
DAEMON=/usr/bin/$NAME
PIDFILE=/var/run/$NAME.pid
DAEMON_ARGS="--config=/etc/carbon/carbon.conf --pidfile=$PIDFILE --logdir=/var/log/carbon/ start"
SCRIPTNAME=/etc/init.d/$NAME
[ -x "$DAEMON" ] || exit 0
[ -r /etc/default/graphite-carbon ] && . /etc/default/graphite-carbon
. /lib/init/vars.sh
. /lib/lsb/init-functions
if [ ! -r /etc/carbon/carbon.conf ]; then
[ "$VERBOSE" != no ] && echo "Missing /etc/carbon/carbon.conf - not starting."
exit 0
fi
if [ "$CARBON_CACHE_ENABLED" != "true" ] ; then
[ "$VERBOSE" != no ] && echo "carbon-cache disabled in /etc/default/graphite-carbon"
exit 0
fi
do_start()
{
start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \
|| return 1
start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON -- \
$DAEMON_ARGS \
|| return 2
}
do_stop()
{
start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --name $NAME
RETVAL="$?"
[ "$RETVAL" = 2 ] && return 2
start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
[ "$?" = 2 ] && return 2
rm -f $PIDFILE
return "$RETVAL"
}
case "$1" in
start)
[ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
do_start
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
stop)
[ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
do_stop
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
status)
status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
;;
restart|force-reload)
log_daemon_msg "Restarting $DESC" "$NAME"
do_stop
case "$?" in
0|1)
do_start
case "$?" in
0) log_end_msg 0 ;;
1) log_end_msg 1 ;;
*) log_end_msg 1 ;;
esac
;;
*)
log_end_msg 1
;;
esac
;;
*)
echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
exit 3
;;
esac
:
.TH CARBON-CLIENT 1
.SH NAME
carbon-client \- Graphite client to reroute carbon data
.SH SYNOPSYS
.nf
.fam C
\fbcarbon-client\fP [options]
.fam T
.fi
.SH DESCRIPTION
Graphite client to reroute carbon data
.PP
The options are described below.
.SH OPTIONS
.TP
.B
\-h, \-\-help
Show the embedded help.
.TP
.B
\-\-debug
Log debug info to stdout
.TP
.B
\-\-keyfunc=KEYFUNC
Use a custom key function (path/to/module.py:myFunc)
.TP
.B
\-\-replication=REPLICATION
Replication factor
.TP
.B
\-\-routing=ROUTING
Routing method: "consistent-hashing" (default) or "relay"
.TP
.B
\-\-relayrules=RELAYRULES
relay-rules.conf file to use for relay routing
.SH AUTHOR
\fBcarbon-client\fP, created by Chris Davis.
.PP
This manual page was written by Jonas Genannt <jonas.genannt@capi2name.de, for
the Debian project (but may be used by others).
.TH CARBON-RELAY 1
.SH NAME
carbon-relay \- replication and sharding data
.SH SYNOPSYS
.nf
.fam C
\fbcarbon-relay\fP [options] start
.fam T
.fi
.SH DESCRIPTION
carbon-relay serves two distinct purposes: replication and sharding.
.PP
The options are described below.
.SH OPTIONS
.TP
.B
\-h, \-\-help
Show the embedded help.
.TP
.B
\-\-debug
Run in the foreground, log to stdout
.TP
.B
\-\-profile=PROFILE
Record performance profile data to the given file
.TP
.B
\-\-pidfile=PIDFILE
Write pid to the given file
.TP
.B
\-\-config=CONFIG
Use the given config file
.TP
.B
\-\-logdir=LOGDIR
Write logs in the given directory
.TP
.B
\-\-instance=INSTANCE
Manage a specific carbon instance
.TP
.B
\-\-rules=RULES
se the given relay rules file.
.SH AUTHOR
\fBcarbon-relay\fP, created by Chris Davis.
.PP
This manual page was written by Jonas Genannt <jonas.genannt@capi2name.de, for
the Debian project (but may be used by others).
graphite-carbon (0.9.10-2) unstable; urgency=low
* Added Japanese translation by victory <victory.deb@gmail.com>
(Closes: #692206)
* d/control: bumped standards version
-- Jonas Genannt <jonas.genannt@capi2name.de> Sun, 18 Nov 2012 13:58:17 +0100
graphite-carbon (0.9.10-1) unstable; urgency=low
* Adding upstream version 0.9.10.
* d/README.source: removed upstream tarball now dfsg compatible
* debian/patches/disable_install_opt.patch: refreshed
* debian/patches/validate-storage-schemas.debian.patch: refreshed
-- Jonas Genannt <jonas.genannt@capi2name.de> Sat, 09 Jun 2012 14:51:01 +0200
graphite-carbon (0.9.9+debian-2) unstable; urgency=low
[ Christian Perrier ]
* Debconf templates and debian/control reviewed by the debian-l10n-
english team as part of the Smith review project. Closes: #668706
* [Debconf translation updates]
* Danish (Joe Hansen). Closes: #671759
* Russian (Yuri Kozlov). Closes: #672205
* French (Julien Patriarca). Closes: #672217
* Polish (Michał Kułach). Closes: #672741
* German (Chris Leick). Closes: #673076
* Spanish; (Omar Campagne). Closes: #673632
* Dutch; (Jeroen Schot). Closes: #673775
* Italian (Beatrice Torracca). Closes: #673849
* Swedish (Martin Bagge / brother). Closes: #673868
* Czech (Michal Simunek). Closes: #674002
* Portuguese (Miguel Figueiredo). Closes: #674064
-- Jonas Genannt <jonas.genannt@capi2name.de> Sun, 27 May 2012 16:00:45 +0200
graphite-carbon (0.9.9+debian-1) unstable; urgency=low
* Initial release (Closes: #651233)
-- Jonas Genannt <jonas.genannt@capi2name.de> Sat, 07 Apr 2012 22:10:31 +0200
Source: graphite-carbon
Section: utils
Priority: optional
Maintainer: Jonas Genannt <jonas.genannt@capi2name.de>
Build-Depends: debhelper (>= 8), python-all (>= 2.6.6-3~)
Standards-Version: 3.9.4
DM-Upload-Allowed: yes
Homepage: https://launchpad.net/graphite
Package: graphite-carbon
Architecture: all
Depends: adduser,
python-twisted-core,
python-whisper,
${misc:Depends},
${python:Depends}
Description: backend data caching and persistence daemon for Graphite
Graphite is a web application using the Twisted framework to provide
real-time visualization and storage of numeric time-series data.
.
The Carbon daemon processes the incoming time-series data and saves it
as Whisper database files.
Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
Upstream-Contact: Chris Davis <chrismd@gmail.com>
Source: http://pypi.python.org/pypi/carbon/
Upstream-Name: Carbon
Files: *
Copyright: 2009-2011 Chris Davis <chrismd@gmail.com>
License: Apache-2.0
Files: lib/carbon/amqp_*
Copyright: 2009 Lucio Torre <lucio.torre@canonical.com>
License: Apache-2.0
Files: lib/carbon/amqp0-8.xml
Copyright: 2009 AMQP Working Group
License: Custom-AMQP-Working-Group
Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:
1. Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.
3. The name of the author may not be used to endorse or promote products
derived from this software without specific prior written permission.
.
THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
Files: debian/*
Copyright: 2012 Jonas Genannt <jonas.genannt@capi2name.de>
License: Apache-2.0
License: Apache-2.0
Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at
.
http://www.apache.org/licenses/LICENSE-2.0
.
Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License
.
On Debian systems, the full text of the Apache License can be found at
"/usr/share/common-licenses/Apache-2.0"
#!/bin/bash
set -e
. /usr/share/debconf/confmodule
db_input high graphite-carbon/postrm_remove_databases || true
db_go || true
db_stop
# Change to true, to enable carbon-cache on boot
CARBON_CACHE_ENABLED=false
etc/carbon
etc/default
var/lib/graphite
var/lib/graphite/whisper
var/log/carbon
/var/log/carbon/*.log {
weekly
missingok
rotate 7
compress
delaycompress
notifempty
create 640 _graphite root
sharedscripts
postrotate
/etc/init.d/carbon-cache restart > /dev/null
endscript
}
debian/carbon-aggregator.1
debian/carbon-cache.1
debian/carbon-client.1
debian/carbon-relay.1
debian/validate-storage-schemas.1
#!/bin/sh
set -e
. /usr/share/debconf/confmodule
DIRS="/var/lib/graphite /var/lib/graphite/whisper /var/log/carbon"
if [ "$1" = configure ]; then
if ! getent passwd _graphite > /dev/null; then
adduser --system --quiet --home /var/lib/graphite --no-create-home \
--shell /bin/false --force-badname --group --gecos "Graphite User" _graphite
fi
for i in $DIRS; do
if ! dpkg-statoverride --list $i >/dev/null 2>&1; then
dpkg-statoverride --update --add _graphite _graphite 0755 $i
fi
done
fi
#DEBHELPER#
#!/bin/sh
set -e
REMOVE_DATABASES=false
if [ -e /usr/share/debconf/confmodule ]; then
. /usr/share/debconf/confmodule
db_get graphite-carbon/postrm_remove_databases || true
REMOVE_DATABASES="${RET:-false}"
fi
DIRS="/var/lib/graphite /var/lib/graphite/whisper /var/log/carbon"
if [ "$1" = purge ]; then
rm -rf /var/log/carbon
if [ "$REMOVE_DATABASES" = "true" ]; then
rm -rf /var/lib/graphite/whisper
fi
for i in $DIRS; do
if dpkg-statoverride --list $i >/dev/null 2>&1; then
dpkg-statoverride --remove $i
fi
done
fi
#DEBHELPER#
# These templates have been reviewed by the debian-l10n-english
# team
#
# If modifications/additions/rewording are needed, please ask
# debian-l10n-english@lists.debian.org for advice.
#
# Even minor modifications require translation updates and such
# changes should be coordinated with translators and reviewers.
Template: graphite-carbon/postrm_remove_databases
Type: boolean
Default: false
_Description: Remove database files when purging graphite-carbon?
The /var/lib/graphite/whisper directory contains the whisper database
files.
.
You may want to keep these database files even if you completely
remove graphite-carbon, in case you plan to reinstall it later.
activate twisted-plugins-cache
Description: change default values for debian
Author: Jonas Genannt <jonas.genannt@capi2name.de>
Forwarded: not-needed
diff --git a/conf/carbon.conf.example b/conf/carbon.conf.example
index 2124428..6a1695d 100644
--- a/conf/carbon.conf.example
+++ b/conf/carbon.conf.example
@@ -14,26 +14,17 @@
# To change other directory paths, add settings to this file. The following
# configuration variables are available with these default values:
#
-# STORAGE_DIR = $GRAPHITE_STORAGE_DIR
-# LOCAL_DATA_DIR = STORAGE_DIR/whisper/
-# WHITELISTS_DIR = STORAGE_DIR/lists/
-# CONF_DIR = STORAGE_DIR/conf/
-# LOG_DIR = STORAGE_DIR/log/
-# PID_DIR = STORAGE_DIR/
-#
-# For FHS style directory structures, use:
-#
-# STORAGE_DIR = /var/lib/carbon/
-# CONF_DIR = /etc/carbon/
-# LOG_DIR = /var/log/carbon/
-# PID_DIR = /var/run/
-#
-#LOCAL_DATA_DIR = /opt/graphite/storage/whisper/
+STORAGE_DIR = /var/lib/graphite/
+CONF_DIR = /etc/carbon/
+LOG_DIR = /var/log/carbon/
+PID_DIR = /var/run/
+
+LOCAL_DATA_DIR = /var/lib/graphite/whisper/
# Specify the user to drop privileges to
# If this is blank carbon runs as the user that invokes it
# This user must have write access to the local data directory
-USER =
+USER = _graphite
# Limit the size of the cache to avoid swapping or becoming CPU bound.
# Sorts and serving cache queries gets more expensive as the cache grows.
Description: Do not install stuff to /opt
Author: Jonas Genannt <jonas.genannt@capi2name.de>
Forwarded: not-needed
diff --git a/setup.cfg b/setup.cfg
index 731e63b..e69de29 100644
--- a/setup.cfg
+++ b/setup.cfg
@@ -1,9 +0,0 @@
-[install]
-prefix = /opt/graphite
-install-lib = %(prefix)s/lib
-
-[bdist_rpm]
-requires = python-twisted
- whisper
-
-post-install = distro/redhat/misc/postinstall
disable_install_opt.patch
carbon.conf.debian.patch
validate-storage-schemas.debian.patch
Description: change default values for debian
Author: Jonas Genannt <jonas.genannt@capi2name.de>
Forwarded: not-needed
diff --git a/bin/validate-storage-schemas.py b/bin/validate-storage-schemas.py
index 7966aff..08191e0 100755
--- a/bin/validate-storage-schemas.py
+++ b/bin/validate-storage-schemas.py
@@ -22,7 +22,7 @@ if len(sys.argv) == 2:
SCHEMAS_FILE = sys.argv[1]
print "Loading storage-schemas configuration from: '%s'" % SCHEMAS_FILE
else:
- SCHEMAS_FILE = realpath(join(dirname(__file__), '..', 'conf', 'storage-schemas.conf'))
+ SCHEMAS_FILE = '/etc/carbon/storage-schemas.conf'
print "Loading storage-schemas configuration from default location at: '%s'" % SCHEMAS_FILE
config_parser = ConfigParser()
[type: gettext/rfc822deb] graphite-carbon.templates
# Czech PO debconf template translation of graphite-carbon.
# Copyright (C) 2012 Michal Simunek <michal.simunek@gmail.com>
# This file is distributed under the same license as the graphite-carbon package.
# Michal Simunek <michal.simunek@gmail.com>, 2012.
#
msgid ""
msgstr ""
"Project-Id-Version: graphite-carbon 0.9.9+debian-2\n"
"Report-Msgid-Bugs-To: graphite-carbon@packages.debian.org\n"
"POT-Creation-Date: 2012-05-06 07:36+0200\n"
"PO-Revision-Date: 2012-05-20 11:31+0200\n"
"Last-Translator: Michal Simunek <michal.simunek@gmail.com>\n"
"Language-Team: Czech <debian-l10n-czech@lists.debian.org>\n"
"Language: cs\n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=utf-8\n"
"Content-Transfer-Encoding: 8bit\n"
#. Type: boolean
#. Description
#: ../graphite-carbon.templates:2001
msgid "Remove database files when purging graphite-carbon?"
msgstr "Odstranit při odinstalování graphite-carbon databázové soubory?"
#. Type: boolean
#. Description
#: ../graphite-carbon.templates:2001
msgid ""
"The /var/lib/graphite/whisper directory contains the whisper database files."
msgstr ""
"Adresář /var/lib/graphite/whisper obsahuje databázové soubory s našeptáváním."
#. Type: boolean
#. Description
#: ../graphite-carbon.templates:2001
msgid ""
"You may want to keep these database files even if you completely remove "
"graphite-carbon, in case you plan to reinstall it later."
msgstr ""
"Přestože graphite-carbon úplně odstraňujete, můžete chtít tyto databázové "
"soubory zachovat v případě, že jej plánujete později znovu nainstalovat."
# Danish translation graphite-carbon.
# Copyright (C) 2012 graphite-carbon & nedenstående oversættere.
# This file is distributed under the same license as the graphite-carbon package.
# Joe Hansen <joedalton2@yahoo.dk>, 2012.
#
msgid ""
msgstr ""
"Project-Id-Version: graphite-carbon\n"
"Report-Msgid-Bugs-To: graphite-carbon@packages.debian.org\n"
"POT-Creation-Date: 2012-05-06 07:36+0200\n"
"PO-Revision-Date: 2012-05-06 19:21+0100\n"
"Last-Translator: Joe Hansen <joedalton2@yahoo.dk>\n"
"Language-Team: Danish <debian-l10n-danish@lists.debian.org>\n"
"Language: da\n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=UTF-8\n"
"Content-Transfer-Encoding: 8bit\n"
#. Type: boolean
#. Description
#: ../graphite-carbon.templates:2001
msgid "Remove database files when purging graphite-carbon?"
msgstr "Fjern databasefiler når graphite-carbon afinstalleres?"
#. Type: boolean
#. Description
#: ../graphite-carbon.templates:2001
msgid ""
"The /var/lib/graphite/whisper directory contains the whisper database files."
msgstr ""
"Mappen /var/lib/graphite/whisper indeholder databasefilerne for whisper."
#. Type: boolean
#. Description
#: ../graphite-carbon.templates:2001
msgid ""
"You may want to keep these database files even if you completely remove "
"graphite-carbon, in case you plan to reinstall it later."
msgstr ""
"Ønsker du at beholde disse databasefiler, selv når du fuldstændig fjerner "
"graphite-carbon; i tilfælde af at du planlægger at geninstallere programmet "
"senere."
# German translation of the graphite-carbon debconf template.
# Copyright (C) 2009-2011 Chris Davis, 2009 Lucio Torre, 2012 Jonas Genannt.
# This file is distributed under the same license as the
# graphite-carbon package.
# Translation by Chris Leick <c.leick@vollbio.de>, 2012.
#
msgid ""
msgstr ""
"Project-Id-Version: graphite-carbon 0.9.9\n"
"Report-Msgid-Bugs-To: graphite-carbon@packages.debian.org\n"
"POT-Creation-Date: 2012-05-06 07:36+0200\n"
"PO-Revision-Date: 2012-05-06 09:41+0200\n"
"Last-Translator: Chris Leick <c.leick@vollbio.de>\n"
"Language-Team: German <debian-l10n-german@lists.debian.org>\n"
"Language: de\n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=UTF-8\n"
"Content-Transfer-Encoding: 8bit\n"
"Plural-Forms: nplurals=2; plural=(n != 1);\n"
#. Type: boolean
#. Description
#: ../graphite-carbon.templates:2001
msgid "Remove database files when purging graphite-carbon?"
msgstr ""
"Datenbankdateien beim vollständigen Entfernen von Graphite-Carbon löschen?"
#. Type: boolean
#. Description
#: ../graphite-carbon.templates:2001
msgid ""
"The /var/lib/graphite/whisper directory contains the whisper database files."
msgstr ""
"Das Verzeichnis /var/lib/graphite/whisper enthält die Whisper-"
"Datenbankdateien."
#. Type: boolean
#. Description
#: ../graphite-carbon.templates:2001
msgid ""
"You may want to keep these database files even if you completely remove "
"graphite-carbon, in case you plan to reinstall it later."